<?xml version="1.0"?>
<PropertySetDef xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" ifdguid="4b8774a99383410aa5cfdeb27d851632" templatetype="" xsi:noNamespaceSchemaLocation="http://buildingSMART-tech.org/xml/psd/PSD_IFC4.xsd">
  <IfcVersion version="IFC4" />
  <Name>Pset_BACnetProgramObject</Name>
  <Applicability />
  <ApplicableClasses>
    <ClassName>IfcTask</ClassName>
  </ApplicableClasses>
  <ApplicableTypeValue>IfcTask</ApplicableTypeValue>
  <PropertyDefs>
    <PropertyDef ifdguid="87b9956f3c4f4dfd9f7e1f5080e7ee0f">
      <Name>Program State</Name>
      <PropertyType>
        <TypePropertyEnumeratedValue>
          <EnumList />
          <ConstantList>
            <ConstantDef>
              <Name>IDLE</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>LOADING</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>RUNNING</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>WAITING</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>HALTED</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>UNLOADING</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
          </ConstantList>
        </TypePropertyEnumeratedValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="c6828f1b7bcd4dda9ce61b41bfc0045b">
      <Name>Status Flags</Name>
      <PropertyType>
        <TypePropertyEnumeratedValue>
          <EnumList />
          <ConstantList>
            <ConstantDef>
              <Name>IN_ALARM</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>FAULT</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>OVERRIDEN</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>OUT_OF_SERVICE</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
          </ConstantList>
        </TypePropertyEnumeratedValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="81cf02cf0d064a35bfa9478a021e200a">
      <Name>Out of Service</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcBoolean" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
  </PropertyDefs>
  <PsetDefinitionAliases />
</PropertySetDef>